import {
  cloneObject
} from "./chunk-5BQNKE5C.js";

// src/common/storage/memstorage.ts
var MemStorage = class {
  // private pretty: boolean = false
  // private objectFromString: (data: string) => any
  // private objectToString: (data: any) => string
  constructor(_opt = {}) {
    this.store = {};
  }
  setItem(key, value) {
    this.store[key] = cloneObject(value);
  }
  getItem(key) {
    return cloneObject(this.store[key]);
  }
  removeItem(key) {
    delete this.store[key];
  }
  clear() {
    this.store = {};
  }
  allKeys() {
    return Object.keys(this.store);
  }
};

export {
  MemStorage
};
//# sourceMappingURL=chunk-3ESD64QY.js.map