import {
  _LoggerFromConfig
} from "./chunk-KJL7VPVO.js";
import {
  isBrowser
} from "./chunk-LKHGPAZI.js";
import {
  getGlobalLogger
} from "./chunk-Y7J6ADHV.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-L7OOBF5A.js";
import {
  LoggerBrowserHandler
} from "./chunk-P3EF4LRH.js";
import {
  isEmpty
} from "./chunk-AY5LGXTC.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-QBX5P226.js.map