"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunk2FOROZHDcjs = require('./chunk-2FOROZHD.cjs');


var _chunkN46W55MHcjs = require('./chunk-N46W55MH.cjs');


var _chunkUKD65B23cjs = require('./chunk-UKD65B23.cjs');



var _chunkWMBXBB3Kcjs = require('./chunk-WMBXBB3K.cjs');








var _chunkJ42M6DF3cjs = require('./chunk-J42M6DF3.cjs');

// src/browser/log/log-browser-factory.ts
function LoggerBrowserSetupDebugFactory(opt = {}) {
  const filter = _nullishCoalesce(_nullishCoalesce(opt.filter, () => ( localStorage.zeed)), () => ( localStorage.debug));
  const styleFont = 'font-family: "JetBrains Mono", Menlo; font-size: 11px;';
  const styleDefault = `${styleFont}`;
  const styleBold = `font-weight: 600; ${styleFont}`;
  const useColors = _chunk2FOROZHDcjs.browserSupportsColors.call(void 0, );
  const noop = () => {
  };
  const originalConsole = _chunkUKD65B23cjs.getGlobalConsole.call(void 0, );
  return function LoggerBrowserDebugFactory(name = "", logLevel) {
    let log;
    const matches = _chunkWMBXBB3Kcjs.useNamespaceFilter.call(void 0, filter);
    const level = _chunkWMBXBB3Kcjs.parseLogLevel.call(void 0, _nullishCoalesce(logLevel, () => ( _chunkJ42M6DF3cjs.LogLevelAll)));
    if (matches(name) && level !== _chunkJ42M6DF3cjs.LogLevelOff) {
      let defineForLogLevel2 = function(fnLevel, fn) {
        if (level <= fnLevel)
          return fn;
        return () => {
        };
      };
      var defineForLogLevel = defineForLogLevel2;
      const fixedArgs = [];
      if (useColors) {
        const color = _chunkN46W55MHcjs.browserSelectColorByName.call(void 0, name);
        fixedArgs.push(`%c${name.padEnd(16, " ")}%c 	%s`);
        fixedArgs.push(`color:${color}; ${styleBold}`);
        fixedArgs.push(styleDefault);
      } else {
        fixedArgs.push(`[${name}] 	%s`);
      }
      log = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelDebug, originalConsole.debug.bind(originalConsole.console, ...fixedArgs));
      log.debug = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelDebug, originalConsole.debug.bind(originalConsole.console, ...fixedArgs));
      log.info = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelInfo, originalConsole.info.bind(originalConsole.console, ...fixedArgs));
      log.warn = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelWarn, originalConsole.warn.bind(originalConsole.console, ...fixedArgs));
      log.error = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelError, originalConsole.error.bind(originalConsole.console, ...fixedArgs));
      log.fatal = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelFatal, (...args) => {
        log.error(...args);
        throw new Error(`${args.map(String).join(" ")}`);
      });
      log.assert = defineForLogLevel2(_chunkJ42M6DF3cjs.LogLevelFatal, (condition, ...args) => {
        if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
          log.fatal(...args);
      });
    } else {
      log = () => {
      };
      log.debug = noop;
      log.info = noop;
      log.warn = noop;
      log.error = noop;
      log.assert = noop;
      log.fatal = noop;
    }
    log.extend = (subName) => {
      return LoggerBrowserDebugFactory(name ? `${name}:${subName}` : subName);
    };
    log.label = name;
    return log;
  };
}



exports.LoggerBrowserSetupDebugFactory = LoggerBrowserSetupDebugFactory;
//# sourceMappingURL=chunk-TROAB3ZY.cjs.map