"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkU7QCFBCQcjs = require('./chunk-U7QCFBCQ.cjs');



var _chunkQP5Y3I6Fcjs = require('./chunk-QP5Y3I6F.cjs');

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return _chunkQP5Y3I6Fcjs.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _chunkQP5Y3I6Fcjs.Uint8ArrayToJson.call(void 0, data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _chunkQP5Y3I6Fcjs.jsonToUint8Array.call(void 0, data);
    return await _chunkU7QCFBCQcjs.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _chunkU7QCFBCQcjs.decrypt.call(void 0, data, this.key);
    return _chunkQP5Y3I6Fcjs.Uint8ArrayToJson.call(void 0, plain);
  }
};





exports.NoopEncoder = NoopEncoder; exports.JsonEncoder = JsonEncoder; exports.CryptoEncoder = CryptoEncoder;
//# sourceMappingURL=chunk-ZO3HNLXY.cjs.map