type Mutex = (fn: (() => void), elseFn?: (() => void)) => boolean;
type AsyncMutex = (fn: (() => void), elseFn?: (() => void)) => Promise<boolean>;
declare function useMutex(): Mutex;
declare function useAsyncMutex(): AsyncMutex;

export { type AsyncMutex, type Mutex, useAsyncMutex, useMutex };
