// src/common/data/distributed.ts
function distributedFilePath(index, maxEntriesPerFolder = 1e3) {
  if (index < 0)
    throw new Error("Only numbers >= 0 supported");
  const names = [];
  do {
    names.unshift((index % maxEntriesPerFolder).toString());
    index = Math.floor(index / maxEntriesPerFolder);
  } while (index > 0);
  names.unshift(names.length.toString());
  return names;
}

export {
  distributedFilePath
};
//# sourceMappingURL=chunk-2PY7FMFN.js.map