/**
 * Distribute files named by natural numbers in a way that each folder only
 * contains `maxEntriesPerFolder` subfolders or files. Returns a list of
 * names, where the last one is the file name, all others are folder names.
 */
declare function distributedFilePath(index: number, maxEntriesPerFolder?: number): string[];

export { distributedFilePath };
