import { Channel } from './channel.js';
import '../dispose-types.js';
import './emitter.js';
import '../log/log.js';
import '../log/log-base.js';
import '../log/log-console-original.js';
import '../global.js';

/** Very basic channel demonstrating local communication */
declare class LocalChannel extends Channel {
    isConnected: boolean;
    other?: LocalChannel;
    postMessage(data: any): void;
}
declare function createLocalChannelPair(): [LocalChannel, LocalChannel];

export { LocalChannel, createLocalChannelPair };
