"use strict";

var _chunk3WVKUZ6Ocjs = require('../../chunk-3WVKUZ6O.cjs');
require('../../chunk-2KJC5MCJ.cjs');
require('../../chunk-FMRO2GVO.cjs');
require('../../chunk-UNHMDTJQ.cjs');
require('../../chunk-ZO3HNLXY.cjs');


var _chunkUOSRX7EXcjs = require('../../chunk-UOSRX7EX.cjs');
require('../../chunk-5JGO6ZWK.cjs');
require('../../chunk-KQRIY6UX.cjs');
require('../../chunk-MYJT72JQ.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-QZHRO76T.cjs');
require('../../chunk-23EQURNO.cjs');
require('../../chunk-BNY33VPP.cjs');
require('../../chunk-4VKNXOQT.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-ZFHTACEU.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-XYGMYIEV.cjs');
require('../../chunk-H7G364FQ.cjs');
require('../../chunk-GHLV6X4H.cjs');
require('../../chunk-U7QCFBCQ.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-WMBXBB3K.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-HMBNEKYK.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-RZKLDILW.cjs');
require('../../chunk-NEUX2E3A.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-7ZVZ6CJO.cjs');
require('../../chunk-ZTXHUURC.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-VLOXFDUZ.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-XVQVWCIE.cjs');
require('../../chunk-52BL3727.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-JQSCYOKH.cjs');
require('../../chunk-L5SJIWCK.cjs');
require('../../chunk-EE5CB3R7.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-5KIDARFB.cjs');
require('../../chunk-DRQTDJSC.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-5K46PLWP.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-7FO3T7KH.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-QP5Y3I6F.cjs');
require('../../chunk-TAKWLGAZ.cjs');
require('../../chunk-EBDUTZIB.cjs');

// src/common/msg/channel-resilient.spec.ts
describe("channel-resilient.spec", () => {
  it("should buffer", async () => {
    const rc = new (0, _chunk3WVKUZ6Ocjs.ResillientChannel)();
    rc.postMessage("1");
    const d1 = new (0, _chunkUOSRX7EXcjs.DebugChannel)();
    rc.setChannel(d1);
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
      ]
    `);
    rc.postMessage("2");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    rc.deleteChannel();
    rc.postMessage("3");
    expect(d1.messages).toMatchInlineSnapshot(`
      Array [
        "1",
        "2",
      ]
    `);
    const d2 = new (0, _chunkUOSRX7EXcjs.DebugChannel)();
    rc.setChannel(d2);
    expect(d2.messages).toMatchInlineSnapshot(`
      Array [
        "3",
      ]
    `);
  });
});
//# sourceMappingURL=channel-resilient.spec.cjs.map